PlaceholderChat 2.0.2

chat, placeholderapi, spigot

  1. Plug_And_Cree
    Tested Minecraft Versions:
    • 1.16
    • 1.17
    • 1.18
    Source Code:
    https://github.com/PlugAndCree/PlaceholderChat
    Contributors:
    My twitch followers
    Official discord: https://discord.gg/wUyZjfaMYr

    PlaceholderChat

    This plugin allows you to create custom chat formats.
    It's like EssentialsXChat but with PlaceholderAPI:

    The config key "user", "admin" is the permission group name

    DEPENDENCIES: PlaceholderAPI, Vault, any permission plugin that hooks into Vault

    Commands & permissions:
    • /placeholderchat (Shows the credits)
    • /placeholderchat help (placeholderchat.help) (admin command)
    • /placeholderchat reload (placeholderchat.reload) (admin command)
    • placeholderchat.colorchat (permission to use colors in chat, hex included)

    upload_2021-4-21_21-24-8.png
    upload_2021-4-6_18-16-23.png

    Examples:
    upload_2021-4-14_13-10-38.png

    upload_2021-4-14_13-13-51.png

    upload_2021-4-14_13-14-42.png
    upload_2021-4-14_13-14-6.png

    TEXT COMPONENT UPDATE:
    Now you can hover on player's username! (you can change the message in the config.yml)
    All the placeholder must exist in PlaceholderAPI

    You can even write in chat (if you have the permission) with hex colors and hex gradients

    &#ff0000RED
    upload_2022-3-9_15-24-55.png

    &l{&f,&d}BOLD GRADIENT
    upload_2022-3-9_15-25-24.png

    {&f,&7,&8,&7,&d}Multiple gradient
    upload_2022-3-9_15-27-1.png

    WARNING:
    MAKE SURE YOU HAVE ALL THE PlaceholderAPI ADDON INSTALLED, IF NOT, INSTALL THEM WITH "/papi ecloud download [...]" THEN EXECUTE "/papi reload" and "/placeholderchat reload"

    IF THE PLUGIN DOES NOT WORK CHECK THE CONSOLE!!!
    Maybe you don't have installed the PAPI packages

    Images

    1. upload_2021-4-6_18-16-15.png

Recent Updates

  1. Rewrite update
  2. Color bug fix
  3. Typo fix update

Recent Reviews

  1. LuffyLuck
    LuffyLuck
    5/5,
    Version: 1.0.4
    Great plugin! It's really useful for any kind of server! I recommend it! Download it now!
  2. Geol
    Geol
    2/5,
    Version: 1.0.0
    Does not appear to work for me.
    Additionally it uses some questionable descriptions, like not having the correct softdepends/harddepends declared.
    It also appears to load before PAPI, so I don't understand what's up with that.
    I'll give it two stars for the benefit of the doubt, however I might change that depending on whether I'll get it running in the future
    1. Plug_And_Cree
      Author's Response
      I tested it right now, and it works. This plugin does not need to load before PAPI because i don't save every placeholder in RAM, i load the placeholder every AsyncChat event.
      I will add the "depends" in the "plugin.yml"
      A common issue is that the PAPI expansion that you are trying to use is not installed.
      We can figure out the problem, join the discord https://discord.gg/wUyZjfaMYr